<!DOCTYPE html>
<html>
<meta charset="UTF-8">

<head>
  <title>resiliency results</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.13/semantic.min.css">

</head>

<body>
  <div class='ui inverted vertical masthead center aligned segment'>

    <div class="ui text container">
      <h1 class="ui inverted header">
       Resiliency Results
      </h1>
    </div>

  </div>

  <div class='ui vertical stripe segment'>
    <div class='ui   grid container'>
      <div class="row">
        <div class="column">
          <h1 class="ui header">
            <i class="warehouse icon"></i>

          </h1>
          <div class="sub header">

            <!-- <div class="ui olive statistic">

                            <div class="value">20%</div>
                            <div class="label">last check</div>
                        </div> -->
            <!-- <div class="ui olive statistic">
                            <div class="value">
                                <i class=""></i>
                            </div>
                            <div class="label">trend</div>
                        </div> -->
            <!-- <div class="ui tiny grey statistic">
              <div class="value"></div>
              <div class="label">ONAP Version</div>
            </div>
            <div class="ui tiny grey statistic">
              <div class="value"></div>
              <div class="label">Lab owner</div>
            </div>
          </div> -->
          <div id = "tables">
            
           
          </div>
          
        </div>
      </div>
    </div>
  </div>
  <script>
      let DATA = {{data | safe}}
      DATA.forEach(data => {
        let div_table = document.getElementById("tables");

        //generate head
        let new_table = document.createElement("table")
        new_table.classList.add("ui", "celled", "green","table");
        let thead = new_table.createTHead()
        let row_head  = thead.insertRow()
        let th = document.createElement("th")
        let name = document.createTextNode(data["name"])

        div_table.appendChild(new_table);
        new_table.appendChild(thead);
        thead.appendChild(row_head );
        row_head.appendChild(th)
        th.appendChild(name)

        //generate body
        let body = new_table.createTBody();
        let row_body = body.insertRow();
        let cell1 = row_body.insertCell();
        let result = document.createTextNode(data["result"])

        new_table.appendChild(body);
        body.appendChild(row_body);
        row_body.appendChild(cell1)
        cell1.appendChild(result)

        if (("fail_step" in data)){
          new_table.classList.remove("green");
          new_table.classList.add("red");
          th.colSpan = "2"
          let cell2 = row_body.insertCell();
          let fail_step = document.createTextNode(data["fail_step"]);

          row_body.appendChild(cell2)
          cell2.appendChild(fail_step);
        }
       


        
      });
  </script>
</body>
</html>
